/**
 *
 * 调用安卓和苹果原生方法的API接口
 *
 * Created by initmrd on 2019/7/18.
 */
define(['jquery'], function ($) {

        var isIOS = function () {
            var u = navigator.userAgent;
            var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
            return isiOS;
        }

        var getLatLng = function () {
            try {
                if (isIOS()) {
                    var str = localStorage.getItem("latlon");
                    if (str) {
                        return str;
                    }
                    else {
                        throw new Error;
                    }
                }
                else {
                    var str = Native.getLatLng();
                    return str;
                }
            } catch (e) {
                //省内
                 return '{"longitude":108.349489,"latitude":22.813611,"isInGx":true}';
                //省外
//                return '{"longitude":116.4,"latitude":39.9,"isInGx":false}';
                // return '{"longitude":118.794192,"latitude":32.02641,"isInGx":false}';
            }
        }

        var getUserInfo = function () {
            try {
                if (isIOS()) {
                    var str = localStorage.getItem("userInfo");
                    if (str) {
                        return str;
                    }
                    else {
                        throw new Error;
                    }
                }
                else {
                    var str = Native.getUserInfo();
                    return str;
                }
            } catch (e) {
                // return '{"userId":"8"}';
                return '{"userId":""}';
            }
        }

        var getSceneryInfo = function () {
            try {
                if (isIOS()) {
                    var str = localStorage.getItem("getSceneryInfo");
                    if (str) {
                        return str;
                    }
                    else {
                        throw new Error;
                    }
                }
                else {
                    var str = Native.getSceneryInfo();
                    return str;
                }
            } catch (e) {
                return '{"daytem":"24","daywep":"多云","latitude":"22.813611","longitude":"108.349489","nighttem":"24","nightwep":"多云","stationName":"青秀山风景区","total":0.0}';
            }
        }

        var gotoRian = function () {
            if (isIOS()) {
                window.webkit.messageHandlers.JSToRainData.postMessage("WLIOS");
            }
            else {
                Native.toRainData();
            }
        }

        var gotoSettingLifePreference = function (userLifePreference) {
            if (isIOS()) {
                window.webkit.messageHandlers.JSToRainData.postMessage("LifePreference");
            }
            else {
                console.info("userLifePreference:"+userLifePreference)
                Native.gotoSettingLifePreference(userLifePreference);
            }
        }

        var toNewsDetile = function (v) {
            if (isIOS()) {
                window.webkit.messageHandlers.JSToNewsData.postMessage(JSON.stringify(v));
            }
            else {
                Native.toNewsDetile(JSON.stringify(v));
            }
        }

        var toVedioDetile = function (v) {
            if (isIOS()) {
                window.webkit.messageHandlers.JSToVideoData.postMessage(JSON.stringify(v));
            }
            else {
                Native.toVedioDetile(JSON.stringify(v));
            }
        }

        var toLiveDetile = function (str) {
            if (isIOS()) {
                window.webkit.messageHandlers.JSToLifeIndexData.postMessage(str);
            }
            else {
                Native.toLiveDetile(str);
            }
        }

    /**
     * 这个方法不用了， 2020.11.03
     */
        var setInGX = function (b) {
            try {
                if (isIOS()) {

                }
                else {
                    // Native.setIsOutSideProvince(b);
                }
            } catch (e) {
                console.error(e);
            }

        }

        return {
            getLatLng: getLatLng,
            gotoRian: gotoRian,
            toNewsDetile: toNewsDetile,
            toVedioDetile: toVedioDetile,
            toLiveDetile: toLiveDetile,
            setInGX: setInGX,
            isIOS: isIOS,
            getUserInfo: getUserInfo,
            gotoSettingLifePreference: gotoSettingLifePreference,
            getSceneryInfo:getSceneryInfo
        };
    }
)
