define(['jquery'],function ($) {

    /** 格式化时间
     * 传入一个时间戳 或者时间格式 返回 2017-01-01 10:25:12*/
    var getdateTime=function(datetime){
        var time=datetime?new Date(datetime):new Date();
        var year = time.getFullYear();
        var m = time.getMonth();
        var month=m+1>=10?m+1:'0'+(m+1);
        var d = time.getDate();
        var date = d>=10?d:'0'+d;
        var h = time.getHours();
        var hour = h>=10?h:'0'+h;
        var min = time.getMinutes();
        var minute = min>=10?min:'0'+min;
        var s = time.getSeconds();
        var second = s>=10?s:'0'+s;

        return {
            Y:year,
            M:month,
            D:date,
            h:hour,
            m:minute,
            s:second,
            time:time.getTime()
        };
    }

    /**获取天气图标
     * 夜晚天气第二个参数传false*/
    var getWeatherIcon=function(str,falg){
        if(falg===undefined){
            // 白天
            var hour = new Date().getHours();
            var isday = hour>=6 &&hour <=19?true : false;
        }else{
            var isday = falg;
        }
        if(str!=null&&str!=undefined){
            str = str.replace("到","转");
        }
        switch(str){
            case '雾':return isday?'icon--wu':'icon--wuye';
            case '多云':return isday?'icon--duoyun':'icon--duoyunye';
            case '阵雨':return isday?'icon--zhenyu':'icon--zhenyuye';
            case '阵雪':return isday?'icon--zhenxue':'icon--zhenxueye';
            case '晴':return isday?'icon--qing':'icon--qingye';

            case '大雪转暴雪':return 'icon--daxuezhuanbaoxue';
            case '小雪转中雪':return 'icon--xiaoxuezhuanzhongxue';
            case '中雪转大雪':return 'icon--zhongxuezhuandaxue';
            case '暴雪':return 'icon--baoxue';
            case '大雪':return 'icon--daxue';
            case '中雪':return 'icon--zhongxue';
            case '小雪':return 'icon--xiaoxue';

            case '大暴雨转特大暴雨':return 'icon--dabaoyuzhuantedabaoyu';
            case '暴雨转大暴雨':return 'icon--baoyuzhuandabaoyu';
            case '大雨转暴雨':return 'icon--dayuzhuanbaoyu';
            case '中雨转大雨':return 'icon--zhongyuzhuandayu';
            case '小雨转中雨':return 'icon--xiaoyuzhuanzhongyu';
            case '冻雨':return 'icon--dongyu';
            case '特大暴雨':return 'icon--tedabaoyu';
            case '大暴雨':return 'icon--dabaoyu';
            case '暴雨':return 'icon--baoyu';
            // 临时兼容后台返回的数据 其实应该是暴雨而不是爆雨
            case '爆雨':return 'icon--baoyu';
            case '暴风雨':return 'icon--baoyu';
            case '大雨':return 'icon--dayu';
            case '中雨':return 'icon--zhongyu';
            case '小雨':return 'icon--xiaoyu';
            case '零星小雨':return 'icon--xiaoyu';
            case '雨夹雪':return 'icon--yujiaxue';
            case '雷阵雨':return 'icon--leizhenyu';
            case '雷阵雨伴有冰雹':return 'icon--leizhenyubanyoubingbao';

            case '强沙尘暴':return 'icon--qiangshachenbao';
            case '扬尘':return 'icon--yangchen';
            case '浮尘':return 'icon--fuchen';
            case '沙尘暴':return 'icon--shachenbao';

            case '阴':return 'icon--yin';
            case '无雨':return 'icon--yin';
            default:return false;
        }
    }

    /**获取预警图片*/
    var getAlarmIcon = function(str){
        switch(str){
            case '大风黄色':return 'icon-dafeng-huang';
            case '大风红色':return 'icon-dafeng-hong';
            case '大风蓝色':return 'icon-dafeng-lan';
            case '大风橙色':return 'icon-dafeng-cheng';

            case '大雾黄色':return 'icon-dawu-huang';
            case '大雾红色':return 'icon-dawu-hong';
            case '大雾蓝色':return 'icon-dawu-lan';
                        case '大雾橙色':return 'icon-dawu-cheng';

                        case '冰雹黄色':return 'icon-bingbao-huang1';
                        case '冰雹蓝色':return 'icon-bingbao-lan';
                        case '冰雹橙色':return 'icon-bingbao-cheng';
                        case '冰雹红色':return 'icon-bingbao-hong';

                        case '干旱黄色':return 'icon-ganhan-huang1';
                        case '干旱蓝色':return 'icon-ganhan-lan';
                        case '干旱红色':return 'icon-ganhan-hong';
                        case '干旱橙色':return 'icon-ganhan-cheng';

                        case '暴雨黄色':return 'icon-baoyu-huang1';
                        case '暴雨蓝色':return 'icon-baoyu-lan';
                        case '暴雨橙色':return 'icon-baoyu-cheng';
                        case '暴雨红色':return 'icon-baoyu-hong';

                        case '寒潮黄色':return 'icon-hanchao-huang1';
                        case '寒潮蓝色':return 'icon-hanchao-lan';
                        case '寒潮橙色':return 'icon-hanchao-cheng';
                        case '寒潮红色':return 'icon-hanchao-hong';

                        case '雷电黄色':return 'icon-leidian-huang1';
                        case '雷电蓝色':return 'icon-leidian-lan';
                        case '雷电橙色':return 'icon-leidian-cheng';
                        case '雷电红色':return 'icon-leidian-hong';

                        case '霜冻黄色':return 'icon-shuangdong-huang1';
                        case '霜冻蓝色':return 'icon-shuangdong-lan';
                        case '霜冻红色':return 'icon-shuangdong-hong';
                        case '霜冻橙色':return 'icon-shuangdong-cheng';

                        case '高温黄色':return 'icon-gaowen-huang1';
                        case '高温蓝色':return 'icon-gaowen-lan';
                        case '高温橙色':return 'icon-gaowen-cheng';

                        case '台风黄色':return 'icon-taifeng-huang';
                        case '台风蓝色':return 'icon-taifeng-lan';
                        case '台风红色':return 'icon-taifeng-hong';
                        case '台风橙色':return 'icon-taifeng-cheng';

                        case '霾黄色':return 'icon-mai-huang';
                        case '霾蓝色':return 'icon-mai-lan';
                        case '霾橙色':return 'icon-mai-cheng';
                        case '霾红色':return 'icon-mai-hong';

                        case '道路结冰橙色':return 'icon-daolujiebingchengse1';
                        case '道路结冰黄色':return 'icon-daolujiebinghuangse1';
                        case '道路结冰蓝色':return 'icon-daolujiebinglanse1';
                        case '道路结冰红色':return 'icon-daolujiebinghongse';
            default:return false;
        }
    }
    /** 判断一个变量是否为假*/
    var isFalse=function(a){
        if(a === 0 || a === [] || a === null || a ==='' || a === undefined || a === {}) return false;
        return true;
    }

    return {
        getdateTime:getdateTime,
        isFalse:isFalse,
        getWeatherIcon:getWeatherIcon,
        getAlarmIcon:getAlarmIcon,
    };
})